Skip to content
Start here

Create a new Site WAN

client.magicTransit.sites.wans.create(stringsiteId, WANCreateParams { account_id, physport, name, 3 more } params, RequestOptionsoptions?): SinglePage<WAN { id, health_check_rate, name, 5 more } >
POST/accounts/{account_id}/magic/sites/{site_id}/wans

Creates a new Site WAN.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Magic WAN WriteMagic Transit Write
ParametersExpand Collapse
siteId: string

Identifier

maxLength32
params: WANCreateParams { account_id, physport, name, 3 more }
account_id: string

Path param: Identifier

maxLength32
physport: number

Body param

name?: string

Body param

priority?: number

Body param

static_addressing?: WANStaticAddressing { address, gateway_address, secondary_address }

Body param: (optional) if omitted, use DHCP. Submit secondary_address when site is in high availability mode.

address: string

A valid CIDR notation representing an IP range.

gateway_address: string

A valid IPv4 address.

secondary_address?: string

A valid CIDR notation representing an IP range.

vlan_tag?: number

Body param: VLAN ID. Use zero for untagged.

ReturnsExpand Collapse
WAN { id, health_check_rate, name, 5 more }
id?: string

Identifier

maxLength32
health_check_rate?: "low" | "mid" | "high"

Magic WAN health check rate for tunnels created on this link. The default value is mid.

One of the following:
"low"
"mid"
"high"
name?: string
physport?: number
priority?: number

Priority of WAN for traffic loadbalancing.

site_id?: string

Identifier

maxLength32
static_addressing?: WANStaticAddressing { address, gateway_address, secondary_address }

(optional) if omitted, use DHCP. Submit secondary_address when site is in high availability mode.

address: string

A valid CIDR notation representing an IP range.

gateway_address: string

A valid IPv4 address.

secondary_address?: string

A valid CIDR notation representing an IP range.

vlan_tag?: number

VLAN ID. Use zero for untagged.

Create a new Site WAN

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const wan of client.magicTransit.sites.wans.create('023e105f4ecef8ad9ca31a8372d0c353', {
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
  physport: 1,
})) {
  console.log(wan.id);
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "023e105f4ecef8ad9ca31a8372d0c353",
      "health_check_rate": "low",
      "name": "name",
      "physport": 1,
      "priority": 0,
      "site_id": "023e105f4ecef8ad9ca31a8372d0c353",
      "static_addressing": {
        "address": "192.0.2.0/24",
        "gateway_address": "192.0.2.1",
        "secondary_address": "192.0.2.0/24"
      },
      "vlan_tag": 42
    }
  ],
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "023e105f4ecef8ad9ca31a8372d0c353",
      "health_check_rate": "low",
      "name": "name",
      "physport": 1,
      "priority": 0,
      "site_id": "023e105f4ecef8ad9ca31a8372d0c353",
      "static_addressing": {
        "address": "192.0.2.0/24",
        "gateway_address": "192.0.2.1",
        "secondary_address": "192.0.2.0/24"
      },
      "vlan_tag": 42
    }
  ],
  "success": true
}